Bug 458899 - Fedora 10 Alpha anaconda downloads from remote Fedora repo instead of the local install repo
Fedora 10 Alpha anaconda downloads from remote Fedora repo instead of the loc...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Beta/F10BetaBlocker
  Show dependency treegraph
 
Reported: 2008-08-12 21:44 EDT by Sam Varshavchik
Modified: 2008-08-14 13:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 13:07:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2008-08-12 21:44:09 EDT
Description of problem:

Started Fedora 10 Alpha Anaconda, to upgrade an existing Fedora 9 system. Pointed the installer to access the Fedora 10 Alpha DVD image over HTTP on the LAN. Rather than download all the packages from the LAN, Anaconda proceeds to download the packages from a randomly-chosen Fedora mirror, over the Internet.

Version-Release number of selected component (if applicable):

Fedora 10 Alpha release

Steps to Reproduce:
1. Existing Fedora 9 system. All default yum repos are enabled in the Fedora 9 install
2. Mounted Fedora 10 Alpha DVD image on a web server on my local LAN
3. Copied vmlinuz and initrd from F10A DVD's /images/pxeboot onto the existing Fedora 9 system, and added them to grub's menu
4. Rebooted, chose the menu option to load the F10A vmlinuz and initrd image, running the installer.
5. Anaconda started. Chose "install from URL" option. Configured and enabled the network interface. Supplied the URL to the location from step 2.

Actual results:

Anaconda is now apparently downloading the individual packages, to upgrade, from a randomly-chosen Fedora mirror. netstat shows an http connection to usc.edu :-( Slow mirror, it'll take all night.

Expected results:

As in previous versions of Fedora, I expected Anaconda to quickly download the individual packages from my locally-available DVD image, at the URL that I told the installer to load from.

Additional info:
Comment 1 Will Woods 2008-08-13 10:52:42 EDT
Is the DVD image loopback-mounted, or are you serving the image itself by http? (The latter method - "httpdisc" - is not supported anymore.)

If the DVD image is loop-mounted, can you confirm that you can fetch individual packages from it via http?
Comment 2 Sam Varshavchik 2008-08-13 18:30:28 EDT
Yes -- I loopback-mounted the DVD image.

Yes -- the packages are accessible just fine. Feel free to look around, IP address http:// 216.254.115.190 /dvd-i386/os/ (remove embedded spaces, url will exist until 2008.08.15).

Note that I was able to successfully load and run anaconda stage 2, off this DVD loopback mount.
Comment 3 Chris Lumens 2008-08-14 13:07:48 EDT
This should be fixed in the next build of anaconda.  Thanks for the bug report.

Note You need to log in before you can comment on or make changes to this bug.